Bug 132041 - yum update crashes with a backtrace
yum update crashes with a backtrace
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 01:04 EDT by Joachim Backes
Modified: 2014-01-21 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 02:33:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2004-09-08 01:04:58 EDT
Description of problem: Yum dies during "yum update"

:yum update
Setting up Update Process
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 943 kB    00:16
developmen: ################################################## 3513/3513
Excluding Packages
Excluding Incompatible Archs
Finished
Excluding Packages from Fedora Core 2 - Development Tree
Resolving Dependencies
libf2c-3.4.1-10.i386.rpm  100% |=========================|  15 kB    00:00
elfutils-libelf-0.96-1.i3 100% |=========================| 6.6 kB    00:00
alsa-lib-1.0.6-1.i386.rpm 100% |=========================|  11 kB    00:00
kdegraphics-3.3.0-1.i386. 100% |=========================|  86 kB    00:00
gnome-session-2.7.91-2.i3 100% |=========================|  23 kB    00:00
openssl-perl-0.9.7a-39.i3 100% |=========================|  18 kB    00:00
glib2-devel-2.4.6-1.i386. 100% |=========================|  31 kB    00:00
ntp-4.2.0.a.20040616-4.i3 100% |=========================|  31 kB    00:00
kudzu-devel-1.1.85-1.i386 100% |=========================|  33 kB    00:00
yelp-2.6.2-2.i386.rpm     100% |=========================|  21 kB    00:00
libdv-0.102-4.i386.rpm    100% |=========================| 3.4 kB    00:00
tetex-afm-2.0.2-19.i386.r 100% |=========================|  67 kB    00:00
postfix-2.1.4-1.i386.rpm  100% |=========================|  38 kB    00:00
mozilla-chat-1.7.2-0.3.0. 100% |=========================| 7.8 kB    00:00
nautilus-cd-burner-2.7.6- 100% |=========================|  16 kB    00:00
libwnck-2.7.92-1.i386.rpm 100% |=========================|  16 kB    00:00
mtools-3.9.9-9.i386.rpm   100% |=========================|  11 kB    00:00
hdparm-5.5-2.i386.rpm     100% |=========================| 5.7 kB    00:00
gail-devel-1.6.6-1.i386.r 100% |=========================| 6.3 kB    00:00
kdenetwork-3.3.0-1.i386.r 100% |=========================| 277 kB    00:01
gcc-c++-3.4.1-10.i386.rpm 100% |=========================|  17 kB    00:00
up2date-4.3.29-6.0.i386.r 100% |=========================|  65 kB    00:00
sane-backends-1.0.14-4.i3 100% |=========================|  54 kB    00:00
emacs-21.3-14.i386.rpm    100% |=========================|  25 kB    00:00
tcpdump-3.8.2-5.i386.rpm  100% |=========================|  12 kB    00:00
system-config-network-1.3 100% |=========================|  42 kB    00:00
gimp-print-4.2.7-1.i386.r 100% |=========================|  23 kB    00:00
jfsutils-1.1.6-1.i386.rpm 100% |=========================| 5.7 kB    00:00
fontconfig-devel-2.2.3-2. 100% |=========================|  35 kB    00:00
ImageMagick-6.0.6.2-1.i38 100% |=========================|  42 kB    00:00
samba-client-3.0.6-3.i386 100% |=========================|  29 kB    00:00
man-pages-1.67-3.noarch.r 100% |=========================| 328 kB    00:01
libglade2-devel-2.4.0-5.i 100% |=========================| 9.6 kB    00:00
gphoto2-2.1.4-6.i386.rpm  100% |=========================|  24 kB    00:00
rpm-python-4.3.2-0.10.i38 100% |=========================| 5.2 kB    00:00
libjpeg-6b-32.i386.rpm    100% |=========================| 6.6 kB    00:00
mozilla-nss-devel-1.7.2-0 100% |=========================|  28 kB    00:00
cdparanoia-libs-alpha9.8- 100% |=========================| 5.3 kB    00:00
flac-1.1.0-7.i386.rpm     100% |=========================| 5.2 kB    00:00
octave-2.1.57-3.i386.rpm  100% |=========================| 140 kB    00:00
pam-0.77-55.i386.rpm      100% |=========================|  55 kB    00:00
gnome-libs-1.4.1.2.90-41. 100% |=========================|  29 kB    00:00
cdrecord-2.01.0.a37.99-1. 100% |=========================|  21 kB    00:00
telnet-0.17-30.i386.rpm   100% |=========================| 6.5 kB    00:00
Omni-foomatic-0.9.1-7.i38 100% |=========================| 6.8 kB    00:00
dos2unix-3.1-18.i386.rpm  100% |=========================| 3.6 kB    00:00
mozilla-js-debugger-1.7.2 100% |=========================| 7.8 kB    00:00
pyOpenSSL-0.6-1.p23.i386. 100% |=========================| 9.5 kB    00:00
rpm-build-4.3.2-0.10.i386 100% |=========================| 9.9 kB    00:00
xorg-x11-tools-6.7.99.903 100% |=========================| 228 kB    00:01
time-1.7-25.i386.rpm      100% |=========================| 4.2 kB    00:00
libart_lgpl-devel-2.3.16- 100% |=========================| 8.6 kB    00:00
desktop-file-utils-0.8-1. 100% |=========================| 5.1 kB    00:00
mozilla-dom-inspector-1.7 100% |=========================| 9.1 kB    00:00
anacron-2.3-31.i386.rpm   100% |=========================| 8.4 kB    00:00
esound-0.2.35-1.i386.rpm  100% |=========================|  10 kB    00:00
libattr-devel-2.4.16-2.i3 100% |=========================| 6.7 kB    00:00
cyrus-sasl-2.1.19-1.i386. 100% |=========================|  19 kB    00:00
emacs-common-21.3-14.i386 100% |=========================| 154 kB    00:00
netpbm-devel-10.24-2.i386 100% |=========================|  11 kB    00:00
mozilla-nspr-devel-1.7.2- 100% |=========================|  17 kB    00:00
a2ps-4.13b-40.i386.rpm    100% |=========================|  41 kB    00:00
rpm-devel-4.3.2-0.10.i386 100% |=========================|  83 kB    00:00
compat-libstdc++-8-3.3.4. 100% |=========================|  21 kB    00:00
usermode-gtk-1.71-1.i386. 100% |=========================|  21 kB    00:00
screen-4.0.2-4.i386.rpm   100% |=========================|  13 kB    00:00
libcroco-0.6.0-2.i386.rpm 100% |=========================| 3.9 kB    00:00
libxml2-2.6.13-1.i386.rpm 100% |=========================| 5.7 kB    00:00
arts-1.3.0-1.i386.rpm     100% |=========================|  20 kB    00:00
gcc-g77-3.4.1-10.i386.rpm 100% |=========================|  17 kB    00:00
xorg-x11-Mesa-libGLU-6.7. 100% |=========================| 223 kB    00:00
hesiod-devel-3.0.2-30.i38 100% |=========================| 6.6 kB    00:00
doxygen-1.3.8-1.i386.rpm  100% |=========================|  49 kB    00:00
nmap-3.55-1.i386.rpm      100% |=========================| 8.2 kB    00:00
tcp_wrappers-7.6-37.i386. 100% |=========================| 7.5 kB    00:00
libgtop2-2.7.92-1.i386.rp 100% |=========================|  13 kB    00:00
e2fsprogs-devel-1.35-9.5. 100% |=========================|  18 kB    00:00
docbook-utils-0.6.14-4.no 100% |=========================|  14 kB    00:00
ncurses-5.4-13.i386.rpm   100% |=========================| 273 kB    00:01
gdbm-devel-1.8.0-24.i386. 100% |=========================| 5.6 kB    00:00
compat-gcc-c++-8-3.3.4.2. 100% |=========================|  20 kB    00:00
metacity-2.8.4-1.i386.rpm 100% |=========================|  34 kB    00:00
eject-2.0.13-9.i386.rpm   100% |=========================| 6.1 kB    00:00
openmotif-devel-2.2.3-5.i 100% |=========================|  98 kB    00:00
bc-1.06-17.i386.rpm       100% |=========================| 7.7 kB    00:00
system-config-securitylev 100% |=========================|  19 kB    00:00
krbafs-devel-1.2.2-5.i386 100% |=========================| 5.5 kB    00:00
lapack-3.0-25.i386.rpm    100% |=========================| 139 kB    00:00
ORBit-0.5.17-14.i386.rpm  100% |=========================| 8.6 kB    00:00
ttmkfdir-3.0.9-13.i386.rp 100% |=========================| 5.1 kB    00:00
slang-1.4.9-6.i386.rpm    100% |=========================| 5.8 kB    00:00
vim-common-6.3.020-1.i386 100% |=========================| 113 kB    00:00
vim-minimal-6.3.020-1.i38 100% |=========================| 4.0 kB    00:00
minicom-2.00.0-19.i386.rp 100% |=========================|  13 kB    00:00
setuptool-1.15-2.i386.rpm 100% |=========================|  12 kB    00:00
xsane-0.92-13.i386.rpm    100% |=========================|  24 kB    00:00
system-config-mouse-1.2.7 100% |=========================|  18 kB    00:00
cvs-1.11.17-3.i386.rpm    100% |=========================|  16 kB    00:00
info-4.7-5.i386.rpm       100% |=========================| 9.4 kB    00:00
libacl-2.2.23-2.i386.rpm  100% |=========================| 4.0 kB    00:00
glib-1.2.10-15.i386.rpm   100% |=========================| 6.4 kB    00:00
openldap-clients-2.2.13-2 100% |=========================|  24 kB    00:00
gdb-6.1post-1.20040607.28 100% |=========================|  34 kB    00:00
gdk-pixbuf-devel-0.22.0-1 100% |=========================|  13 kB    00:00
openldap-devel-2.2.13-2.i 100% |=========================|  51 kB    00:00
gdm-2.6.0.3-5.i386.rpm    100% |=========================|  51 kB    00:00
cdparanoia-alpha9.8-21.i3 100% |=========================| 5.7 kB    00:00
vim-enhanced-6.3.020-1.i3 100% |=========================| 5.0 kB    00:00
perl-HTML-Parser-3.35-6.i 100% |=========================| 6.9 kB    00:00
pcmcia-cs-3.2.7-1.7.i386. 100% |=========================|  13 kB    00:00
at-3.1.8-57.i386.rpm      100% |=========================|  13 kB    00:00
4Suite-1.0-2.i386.rpm     100% |=========================| 115 kB    05:03
Traceback (most recent call last):
  File "/usr/share/yum-cli/yummain.py", line 139, in ?
    main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 131,
in buildTra nsaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 151,
in resolveD eps
    self.populateTs(test=1)
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 115,
in populate Ts
    hdr = po.getHeader()
  File "/usr/lib/python2.3/site-packages/yum/packages.py", line 272,
in getHeade r
    hdr = hlist[0]
IndexError: list index out of range






Version-Release number of selected component (if applicable):
yum-2.1.3-1



How reproducible: Did not try


Steps to Reproduce:
1. "yum update"
2.
3.
  
Actual results: yum crashes with a backtrace


Expected results:
yum starts rpm download and install

Additional info: --
Comment 1 Joachim Backes 2004-09-09 08:47:30 EDT
I re-installed yum from the FC2 CD; after this, "yum update" runs OK.
Comment 2 Seth Vidal 2004-09-17 02:33:51 EDT
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.